from django import forms

from . import models

from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm

class AccountRegisterForm(UserCreationForm):
    class Meta:
        model = User
        fields = ["username", "email", "password1", "password2"]

class PizzaOrderForm(forms.ModelForm):
    class Meta:
        model = models.PizzaOrder

        fields = ["size", "crust", "sauce", "cheese"]

class DeliveryInfoForm(forms.ModelForm):
    class Meta:
        model = models.DeliveryDetails

        fields = ["name", "address", "cardNumber", "cardCvv"]
