# customer filters that are injected into templates

from django import template

register = template.Library()

# simple function to obfuscate a card number
@register.filter(name='hideCard')
def hideCard(cardNumber):
    if len(cardNumber) < 4:
        return "Invalid Card Number"
    return '*' * (len(cardNumber) - 4) + cardNumber[-4:]
